Subject: Re: bug#10681: GNU Guile 2.0.5 released

From: Hans Aberg <[email-masked]>
Date: Tue, 31 Jan 2012 23:02:43 +0100

On 31 Jan 2012, at 20:35, Mark H Weaver wrote:

>>>> The 'make check' gives this error, on OS X 10.7.2 using the compiler
>>>> i686-apple-darwin11-llvm-gcc-4.2 (GCC) 4.2.1 supplied by Xcode 4.2.1:
>>>> 
>>>> PASS: test-asmobs
>>>> bad return from expression `(f-sum -1 2000 -30000 40000000000)': expected 39999971999; got 39999972255
>>> 
>>> I may be stating the obvious here, but the -1, which is declared to be
>>> of type 'scm_t_int8' in the C function being called, is apparently being
>>> interpreted as 255.  This suggests that whatever is handling its
>>> promotion to a full int is failing to extend its sign bit.  I'm guessing
>>> that this is libffi's job.
>> 
>> It is broken (libffi from GIT, the only that works on OX 10.7):
> 
> You need to install DejaGnu in order to run libffi's test suite.
> <http://www.gnu.org/software/dejagnu/>

With gcc-4.7.0 (from SVN), the test-ffi test now passes (libffi from GIT), but I get three other failures.

The compiler that is normally used on the system, is llvm-gcc-4.2, and its compile is still running.

Hans

Running bytevectors.test
FAIL: bytevectors.test: 2.3 Operations on Bytes and Octets: bytevector-sint-ref [small] (eval)
FAIL: bytevectors.test: 2.3 Operations on Bytes and Octets: bytevector-sint-ref [small] (compile)
...
Running gc.test
FAIL: gc.test: gc: Unused modules are removed
...

Totals for this test run:
passes:                 34886
failures:               3
unexpected passes:      0
expected failures:      30
unresolved test cases:  29
untested test cases:    1
unsupported test cases: 9
errors:                 0

FAIL: check-guile
==================================
1 of 1 test failed
Please report to [email-masked]
==================================